N = int(input())
x = []
for i in range(1,N+1):
    x.append(i)
K = int(input())
for e in range(K):
    prime_check1 = True
    l = int(input())
    kl = -1
    while prime_check1 == True:
        kl +=1
        if x[kl] == l:
            del(x[kl])
            prime_check1 = False

h = []
g = 0
a = 0
for i in range(len(x)):
    for e in range(i,len(x)):
        y = x[i] + x[e]
        h.append(y)

h.sort()
while g<len(h)-1:
    if h[g] == h[g+1]:
        a+=1
    g+=1
print(len(h)-a)
